Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
sea-god

Hỏi về vẽ đường thân khai của răng???

Các bài được khuyến nghị

sson    11
Bạn nào bít vẽ đường thân khai của răng thẳng bằng AUTOCAD ko ?Bảo mình với

THankSS

Có 1 cách là vẽ bằng đường spline. xác định 1 số điểm chính xác và nối lại bằng Spline. Nếu bạn biết sử dụng mã VBA thì đây là một đoạn mã để vẽ đường đường này(Ở đây r0 bằng 10)

Public Sub pratice()
Dim spl As AcadSpline
Dim i As Variant
Dim b(0 To 2) As Double
Dim p(0 To 2) As Double
Dim anpha As Double
Dim x1 As Double
Dim y1 As Double
Dim j As Integer
Dim step As Double
Dim l As Double
Dim r0 As Double
Dim p1(0 To 5) As Double
Dim startTan(0 To 2) As Double
Dim endTan(0 To 2) As Double


r0 = 10
l = 3 * r0
step = 5 * 3.14 / 180
i = ThisDrawing.Utility.GetPoint(, "Chon diem goc")
If Round(l / (r0 * step) - 0.5) > 1 Then
	p1(0) = i(0) + l
	p1(1) = i(1) + r0
	p1(2) = 0
	p1(3) = i(0) + r0 * Sin(step) + Cos(step) * (l - step * r0)
	p1(4) = i(1) + r0 * Cos(step) - Sin(step) * (l - step * r0)
	p1(5) = 0
	startTan(0) = 0: startTan(1) = 0: startTan(2) = 0
	endTan(0) = 0: endTan(1) = 0: endTan(2) = 0
	Set spl = ThisDrawing.ModelSpace.AddSpline(p1, startTan, endTan)
Else
	Exit Sub
End If
For j = 2 To Round(l / (r0 * step) - 0.5)
	anpha = j * step
	x1 = r0 * Sin(anpha)
	y1 = r0 * Cos(anpha)
	p(0) = i(0) + x1 + y1 / r0 * (l - anpha * r0)
	p(1) = i(1) + y1 - x1 / r0 * (l - anpha * r0)
	spl.AddFitPoint j, p
Next
'Ve duong tron
Dim cir As AcadCircle
Set cir = ThisDrawing.ModelSpace.AddCircle(i, r0)
End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×